org.keycloak.representations.idm

## Class ComponentTypeRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.ComponentTypeRepresentation

-     public class ComponentTypeRepresentation
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `helpText`
    `protected String` | `id`
    `protected List<ConfigPropertyRepresentation>` | `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentTypeRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHelpText()`
    `String` | `getId()`
    `List<ConfigPropertyRepresentation>` | `getProperties()`
    `void` | `setHelpText(String helpText)`
    `void` | `setId(String id)`
    `void` | `setProperties(List<ConfigPropertyRepresentation> properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### helpText

          protected String helpText

    - #### properties

          protected List<ConfigPropertyRepresentation> properties

  - ### Constructor Detail

    - #### ComponentTypeRepresentation

          public ComponentTypeRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getHelpText

          public String getHelpText()

    - #### setHelpText

          public void setHelpText(String helpText)

    - #### getProperties

          public List<ConfigPropertyRepresentation> getProperties()

    - #### setProperties

          public void setProperties(List<ConfigPropertyRepresentation> properties)

Copyright © 2016 JBoss by Red Hat. All rights reserved.